Returns existing project types.

GEThttps://api.awork.com/api/v1/projecttypes
GET https://api.awork.com/api/v1/projecttypes

Returns existing project types. Each type includes its name, icon, and archived state.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

showArchivedbooleanOptional
Default: false

Whether to include archived project types in the results. Default is false.

pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the type.

namestring or nullOptional

The name of the project type.

descriptionstring or nullOptional

A short (max. 140 characters) description of the project type.

iconstring or nullOptional

The identifier of the project type icon.

isArchivedbooleanOptional

Whether this type is archived. It can no longer be used to create projects, but existing projects will continue using it.

isPresetbooleanOptional

Whether this type is one of the preset types. Preset types cannot be edited.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

Search documentation